# Tls1Version
<span class="source-link">[[Source]](src/net-ssl/ssl_versions.md#L4)</span>
```pony
primitive val Tls1Version
```

## Constructors

### create
<span class="source-link">[[Source]](src/net-ssl/ssl_versions.md#L4)</span>


```pony
new val create()
: Tls1Version val^
```

#### Returns

* [Tls1Version](net-ssl-Tls1Version.md) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/net-ssl/ssl_versions.md#L4)</span>


```pony
fun val apply()
: ULong val
```

#### Returns

* [ULong](builtin-ULong.md) val

---

### eq
<span class="source-link">[[Source]](src/net-ssl/ssl_versions.md#L4)</span>


```pony
fun box eq(
  that: Tls1Version val)
: Bool val
```
#### Parameters

*   that: [Tls1Version](net-ssl-Tls1Version.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/net-ssl/ssl_versions.md#L4)</span>


```pony
fun box ne(
  that: Tls1Version val)
: Bool val
```
#### Parameters

*   that: [Tls1Version](net-ssl-Tls1Version.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

